#3732 closed task (fixed)

Add rtems_scheduler_get_processor_maximum()

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

Add rtems_scheduler_get_processor_maximum() as a replacement for rtems_get_processor_count(). The rtems_get_processor_count() is a bit orphaned. Adopt it by the Scheduler Manager. The count is also misleading, since the processor set may have gaps and the actual count of online processors may be less than the value returned by rtems_get_processor_count().

Change History (5)

comment:1 Changed on Apr 5, 2019 at 6:17:36 AM by Sebastian Huber

Description: modified (diff)
Summary: Add rtems_scheduler_get_maximum_processor()Add rtems_scheduler_get_processor_maximum()

comment:2 Changed on Apr 9, 2019 at 6:11:52 AM by Sebastian Huber <sebastian.huber@…>

In f9219db/rtems:

rtems: Add rtems_scheduler_get_processor_maximum()

Add rtems_scheduler_get_processor_maximum() as a replacement for
rtems_get_processor_count(). The rtems_get_processor_count() is a bit
orphaned. Adopt it by the Scheduler Manager. The count is also
misleading, since the processor set may have gaps and the actual count
of online processors may be less than the value returned by
rtems_get_processor_count().

Update #3732.

comment:3 Changed on Apr 9, 2019 at 6:13:08 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 53300c8/rtems-docs:

c-user: rtems_scheduler_get_processor_maximum()

Close #3732.

comment:4 Changed on Apr 11, 2019 at 7:19:29 AM by Sebastian Huber <sebastian.huber@…>

In cfcd6dc9/rtems:

score: Rename _SMP_Processor_count

Rename _SMP_Processor_count in _SMP_Processor_maximum to be in line with
the API level rtems_scheduler_get_processor_maximum().

Update #3732.

comment:5 Changed on Apr 11, 2019 at 7:19:32 AM by Sebastian Huber <sebastian.huber@…>

In ad87de4/rtems:

score: Rename _SMP_Get_processor_count()

Rename _SMP_Get_processor_count() in _SMP_Get_processor_maximum() to be
in line with the API level rtems_scheduler_get_processor_maximum().

Update #3732.

Note: See TracTickets for help on using tickets.